Cancel Transaction API
This API is used to cancel an existing transaction that is currently in an intermittent (non-terminal) state. Intermittent states include, but are not limited to, PENDING, PENDING_VBV, AUTHORIZING, and similar in-progress statuses.
Only transactions that have been successfully created for an order and are still in an intermittent state are eligible for cancellation. Transactions that are already in a terminal state (such as SUCCESS, CHARGED, VOIDED, or FAILURE) cannot be cancelled using this API.
A valid transaction must exist for the given order before invoking this API. If no transaction is associated with the order, the cancellation request will be rejected.
Request
Response
API Endpoints
Sandbox Link
GET
https://api.sandbox.juspay.io/v2/txns/{txn_uuid}/{merchant_id}/{order_id}/cancel
Production Link
GET
https://api.juspay.io/v2/txns/{txn_uuid}/{merchant_id}/{order_id}/cancel
Path Params
200 : Success
400 : Invalid Input data

